Subscribe to events
Subscribe to native event payloads for the server. Volatile by contract: a slow consumer overflows and fails the stream, and events during disconnection are missed.
GET
/api/eventResponses
200Success
idstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyeventstringrequireddataV2EventStreamrequired400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X GET "/api/event"const response = await fetch("/api/event", {
method: "GET"
});import requests
response = requests.get(
"/api/event",
)Response
{
"id": "string",
"event": "string",
"data": "string"
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}